import { Card } from "@/components/ui/card";
import Image from "next/image";
import Link from "next/link";

// this is a single game helper-component, only for design purposes
export default function Game({ id, name, cover }: { id: number, name: string, cover: { url: string } }) {
    return (
        <Card>
            <Link href={`/games/${id}`}>
                <div className="rounded-lg flex items-center justify-center overflow-hidden">
                    <Image src={cover.url} alt={name} width={264} height={374} priority={true} style={{ width: '100%', height: '100%' }} />
                </div>
            </Link>
            <p className="truncate">{name}</p>
        </Card>
    )
}